Issued
Keywords: net.corda.core.contracts.Issued class
Date: 2023-09-18

net.corda.core.contracts

## Class Issued<P>

- net.corda.core.contracts.Issued<P>

- Type Parameters:
    `P` -

    the class type of product underlying the definition, for example java.util.Currency.

      public class Issued<P>

  The `class Issued` data class holds the details of an on ledger digital asset. In particular it gives the public credentials of the entity that created these digital tokens and the particular product represented.

  See Also:
    `class Issued`

- - ### Constructor Detail

    - #### Issued

          public Issued(@NotNull
                        PartyAndReference issuer,
                        @NotNull
                        P product)

      The `class Issued` data class holds the details of an on ledger digital asset. In particular it gives the public credentials of the entity that created these digital tokens and the particular product represented.

      Parameters:
        `issuer` - The `class AbstractParty` details of the entity which issued the assetand a reference blob, which can contain other details related to the token creation e.g. serial number,warehouse location, etc.The issuer is the gatekeeper for creating, or destroying the tokens on the digital ledger andonly their PrivateKey signature can authorise transactions that do not conserve the total numberof tokens on the ledger.Other identities may own the tokens, but they can only create transactions that conserve the total token count.Typically the issuer is also a well know organisation that can convert digital tokens to external assetsand thus underwrites the digital tokens.Different issuer values may coexist for a particular product, but these cannot be merged.
        `product` - The details of the specific product represented by these digital tokens. The valueof product may differentiate different kinds of asset within the same logical class e.g the currency, orit may just be a type marker for a single custom asset.
      See Also:
        `class Issued`

  - ### Method Detail

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### getIssuer

          @NotNull
          public PartyAndReference getIssuer()

      The

      `class AbstractParty` details of the entity which issued the assetand a reference blob, which can contain other details related to the token creation e.g. serial number,warehouse location, etc.The issuer is the gatekeeper for creating, or destroying the tokens on the digital ledger andonly their PrivateKey signature can authorise transactions that do not conserve the total numberof tokens on the ledger.Other identities may own the tokens, but they can only create transactions that conserve the total token count.Typically the issuer is also a well know organisation that can convert digital tokens to external assetsand thus underwrites the digital tokens.Different issuer values may coexist for a particular product, but these cannot be merged.

      See Also:
        `class AbstractParty`, PrivateKey

    - #### getProduct

          @NotNull
          public P getProduct()

      The details of the specific product represented by these digital tokens.

      The valueof product may differentiate different kinds of asset within the same logical class e.g the currency, orit may just be a type marker for a single custom asset.

    - #### component1

          @NotNull
          public PartyAndReference component1()

      The

      `class AbstractParty` details of the entity which issued the assetand a reference blob, which can contain other details related to the token creation e.g. serial number,warehouse location, etc.The issuer is the gatekeeper for creating, or destroying the tokens on the digital ledger andonly their PrivateKey signature can authorise transactions that do not conserve the total numberof tokens on the ledger.Other identities may own the tokens, but they can only create transactions that conserve the total token count.Typically the issuer is also a well know organisation that can convert digital tokens to external assetsand thus underwrites the digital tokens.Different issuer values may coexist for a particular product, but these cannot be merged.

      See Also:
        `class AbstractParty`, PrivateKey

    - #### component2

          @NotNull
          public P component2()

      The details of the specific product represented by these digital tokens.

      The valueof product may differentiate different kinds of asset within the same logical class e.g the currency, orit may just be a type marker for a single custom asset.

    - #### copy

          @NotNull
          public Issued<P> copy(@NotNull
                                         PartyAndReference issuer,
                                         @NotNull
                                         P product)

      The `class Issued` data class holds the details of an on ledger digital asset. In particular it gives the public credentials of the entity that created these digital tokens and the particular product represented.

      See Also:
        `class Issued`

    - #### hashCode

          public int hashCode()

      The `class Issued` data class holds the details of an on ledger digital asset. In particular it gives the public credentials of the entity that created these digital tokens and the particular product represented.

      See Also:
        `class Issued`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      The `class Issued` data class holds the details of an on ledger digital asset. In particular it gives the public credentials of the entity that created these digital tokens and the particular product represented.

      See Also:
        `class Issued`